Bug 1272684 - [f23 - tc11] - plymouth covers up failure of systemd-vconsole-setup.service
[f23 - tc11] - plymouth covers up failure of systemd-vconsole-setup.service
Status: CLOSED DUPLICATE of bug 1272686
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 11:31 EDT by Dusty Mabe
Modified: 2017-05-25 12:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:02:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script to kickstart a VM with plymouth. (1.34 KB, application/x-shellscript)
2015-10-17 11:31 EDT, Dusty Mabe
no flags Details
script to kickstart a VM without plymouth. (1.35 KB, application/x-shellscript)
2015-10-17 11:32 EDT, Dusty Mabe
no flags Details
dmesg/journal output with plymouth (1011.12 KB, text/plain)
2015-10-17 11:34 EDT, Dusty Mabe
no flags Details
dmesg/journal output without plymouth (1010.83 KB, text/plain)
2015-10-17 11:36 EDT, Dusty Mabe
no flags Details

  None (edit)
Description Dusty Mabe 2015-10-17 11:31:32 EDT
Created attachment 1083934 [details]
script to kickstart a VM with plymouth.

Description of problem:

Having plymouth installed covers up the failure of systemd-vconsole-setup which happens to fail on every boot of a VM that does not have a graphical console. This is possibly a race condition? See the attached script for kickstarting a VM to get this exact setup. Here is some example output of running commands in the VM with plymouth installed:

```
[root@localhost ~]# systemctl --failed
0 loaded units listed. Pass --all to see loaded but inactive units, too.
To show all installed unit files use 'systemctl list-unit-files'.
[root@localhost ~]# systemctl status systemd-vconsole-setup.service -l
● systemd-vconsole-setup.service - Setup Virtual Console
   Loaded: loaded (/usr/lib/systemd/system/systemd-vconsole-setup.service; static; vendor preset: disabled)
   Active: active (exited) since Sat 2015-10-17 11:05:42 EDT; 4min 16s ago
     Docs: man:systemd-vconsole-setup.service(8)
           man:vconsole.conf(5)
 Main PID: 276 (code=killed, signal=TERM)
   CGroup: /system.slice/systemd-vconsole-setup.service

Oct 17 11:05:41 localhost.localdomain systemd-vconsole-setup[276]: putfont: PIO_FONT trying ...
[root@localhost ~]# journalctl -u systemd-vconsole-setup.service
-- Logs begin at Sat 2015-10-17 11:05:36 EDT, end at Sat 2015-10-17 11:10:43 EDT. --
Oct 17 11:05:36 localhost.localdomain systemd-vconsole-setup[165]: putfont: PIO_FONT trying ...
Oct 17 11:05:41 localhost.localdomain systemd-vconsole-setup[165]: ...................
Oct 17 11:05:41 localhost.localdomain systemd-vconsole-setup[165]: setfont: putfont: 512,8x16:  failed: -1
Oct 17 11:05:41 localhost.localdomain systemd-vconsole-setup[165]: putfont: PIO_FONT: Invalid argument
Oct 17 11:05:41 localhost.localdomain systemd-vconsole-setup[276]: putfont: PIO_FONT trying ...
[root@localhost ~]# dmesg | grep vconsole | grep code
[    5.730456] systemd-vconsole-setup[165]: /usr/bin/setfont failed with error code 71.
[    5.788474] systemd[1]: systemd-vconsole-setup.service: Main process exited, code=exited, status=1/FAILURE
[    5.796741] systemd[1]: systemd-vconsole-setup.service: Failed with result 'exit-code'.
[    5.920884] systemd-vconsole-setup[211]: /usr/bin/setfont failed with error code 71.
[    5.981822] systemd-udevd[196]: Process '/usr/lib/systemd/systemd-vconsole-setup' failed with exit code 1.
[    6.243578] systemd[1]: systemd-vconsole-setup.service: Main process exited, code=killed, status=15/TERM
[   12.490275] systemd-vconsole-setup[429]: /usr/bin/setfont failed with error code 71.
[   12.549108] systemd-udevd[355]: Process '/usr/lib/systemd/systemd-vconsole-setup' failed with exit code 1.
```

Without plymouth installed:

```
[root@localhost ~]# rpm -q plymouth
package plymouth is not installed
[root@localhost ~]# systemctl --failed
  UNIT                           LOAD   ACTIVE SUB    DESCRIPTION
● systemd-vconsole-setup.service loaded failed failed Setup Virtual Console

LOAD   = Reflects whether the unit definition was properly loaded.
ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
SUB    = The low-level unit activation state, values depend on unit type.

1 loaded units listed. Pass --all to see loaded but inactive units, too.
To show all installed unit files use 'systemctl list-unit-files'.
```




Version-Release number of selected component (if applicable):
http://dl.fedoraproject.org/pub/alt/stage/23_TC11/Server/x86_64/iso/Fedora-Server-DVD-x86_64-23_TC11.iso
plymouth-0.8.9-10.2013.08.14.fc23.x86_64
systemd-222-7.fc23.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Download TC11 ISO
2. Download attached script.
3. Update variables in script to point to proper paths in your local setup.
4. Run script to create/kickstart VM
5. Observe error

Actual results:
systemctl --failed reports no failures


Expected results:
systemctl --failed should report that systemd-vconsole-setup.service failed
Comment 1 Dusty Mabe 2015-10-17 11:32 EDT
Created attachment 1083935 [details]
script to kickstart a VM without plymouth.
Comment 2 Dusty Mabe 2015-10-17 11:34 EDT
Created attachment 1083936 [details]
dmesg/journal output with plymouth
Comment 3 Dusty Mabe 2015-10-17 11:36 EDT
Created attachment 1083937 [details]
dmesg/journal output without plymouth
Comment 4 Fedora End Of Life 2016-11-24 07:49:31 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:02:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-05-24 23:10:35 EDT

*** This bug has been marked as a duplicate of bug 1272686 ***
Comment 7 Dusty Mabe 2017-05-25 09:06:50 EDT
At the time I was trying to report a different problem with this BZ vs bug 1272686. The other bug was reporting the `systemd-vconsole-setup.service` service failure and this bug was reporting the fact that the failure could get covered up. I wouldn't call it a dup of the other bug.

That being said, we don't see this "cover up" problem any longer so I assume it has been taken care of.
Comment 8 Zbigniew Jędrzejewski-Szmek 2017-05-25 09:13:29 EDT
Ah, right. Back then it was very slow because it was iterating over all the ttys. Even though it was failing and printing errors, plymouth would kill it before it got the end, and hence the "success". So that's expected — oneshot services exiting after a TERM signal are treated as success. The real issue was the same as #1272686, so I think it's OK to close this as a dupe (better than EOL, in any case ;)).
Comment 9 Dusty Mabe 2017-05-25 12:01:48 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)
> The real issue
> was the same as #1272686, so I think it's OK to close this as a dupe (better
> than EOL, in any case ;)).

yes, +1 :)

Note You need to log in before you can comment on or make changes to this bug.